# annual

## metadata

| property      | value                                                                                                                                                                              |
|---------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| name          | annual                                                                                                                                                                             |
| original name | annual                                                                                                                                                                             |
| url           | [here](https://www.canada.ca/en/environment-climate-change/services/climate-change/canadian-centre-climate-services/display-download/technical-documentation-daily-data.html#toc0) |

## datasets

### data

#### metadata

| property    | value                                                                                                                                                                              |
|-------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| name        | data                                                                                                                                                                               |
| original    | data                                                                                                                                                                               |
| description | Historical annual station observations for Canada                                                                                                                                  |
| access      | [here](https://www.canada.ca/en/environment-climate-change/services/climate-change/canadian-centre-climate-services/display-download/technical-documentation-daily-data.html#toc0) |

#### parameters

| name                            | original name                | description                            | unit type     | unit          | constraints |
|---------------------------------|------------------------------|----------------------------------------|---------------|---------------|-------------|
| precipitation_frequency         | frequency of precip. (%)     | frequency of precipitation             | fraction      | %             | >=0,<=100   |
| precipitation_height_liquid_max | greatest rainfall (mm)       | greatest annual liquid precipitation   | precipitation | mm            | >=0         |
| precipitation_height_max        | greatest precip. (mm)        | greatest annual precipitation          | precipitation | mm            | >=0         |
| snow_depth_max                  | most snow on the ground (cm) | greatest total snow depth              | length_short  | cm            | >=0         |
| snow_depth_new_max              | greatest snowfall (cm)       | greatest new snow depth                | length_short  | cm            | >=0         |
| temperature_air_max_2m          | highest temp. (°c)           | maximum air temperature                | temperature   | °C            | -           |
| temperature_air_max_2m_mean     | average max. temp. (°c)      | annual mean of maximum air temperature | temperature   | °C            | -           |
| temperature_air_min_2m          | lowest temp. (°c)            | minimum air temperature                | temperature   | °C            | -           |
| temperature_air_min_2m_mean     | average min. temp. (°c)      | annual mean of minimum air temperature | temperature   | °C            | -           |
